# eric7.Plugins.CheckerPlugins.CodeStyleChecker.translations

Module implementing message translations for the code style plugin messages.

### Global Attributes

_fixMessages
_fixMessagesSampleArgs
_pycodestyleErrorMessages
_pycodestyleErrorMessagesSampleArgs
_pycodestyleWarningMessages
_pycodestyleWarningMessagesSampleArgs
messageCatalogs
messageCategoryRe
messageSampleArgsCatalog

### Classes

None

### Functions

getMessageCodes | Module function to get a list of known message codes.
getTranslatedMessage | Module function to get a translated and formatted message for a given message ID.

## getMessageCodes

getMessageCodes()

Module function to get a list of known message codes.

Return:
  list of known message codes

Return Type:
  set of str

Up

## getTranslatedMessage

getTranslatedMessage(messageCode, messageArgs, example=False)

Module function to get a translated and formatted message for a given message ID.

messageCode (str)
  the message code
messageArgs (list or int)
  list of arguments or a single integer value to format the message
example (bool)
  flag indicating a translated message filled with example data is requested (messageArgs is ignored if given)

Return:
  translated and formatted message

Return Type:
  str

Up